com.fasterxml.aalto.impl

## Class ErrorConsts

- java.lang.Object
- - com.fasterxml.aalto.impl.ErrorConsts

-     public final class ErrorConsts
      extends Object

  This class contains various String constants used for error reporting.

  Note: although messages are constants, they are not marked as finals; this is intentional, to avoid inlining (same String might get embedded in multiple using class files). May not matter in the end, but for now done to optimize class file sizes.

  Author:
    Tatu Saloranta

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ERR_INTERNAL`
    `static String` | `ERR_NS_EMPTY`
    `static String` | `ERR_NS_REDECL_XML`
    `static String` | `ERR_NS_REDECL_XML_URI`
    `static String` | `ERR_NS_REDECL_XMLNS`
    `static String` | `ERR_NS_REDECL_XMLNS_URI`
    `static String` | `ERR_NS_UNDECLARED`
    `static String` | `ERR_NS_UNDECLARED_FOR_ATTR`
    `static String` | `ERR_NULL_ARG`
    `static String` | `ERR_STATE_NOT_ELEM`
    `static String` | `ERR_STATE_NOT_PI`
    `static String` | `ERR_STATE_NOT_STELEM`
    `static String` | `ERR_STATE_NOT_STELEM_OR_TEXT`
    `static String` | `ERR_WF_DUP_ATTRS`
    `static String` | `ERR_WF_PI_XML_TARGET`
    `static String` | `SUFFIX_IN_EPILOG`
    `static String` | `SUFFIX_IN_PROLOG`
    `static String` | `SUFFIX_IN_TREE`
    `static String` | `VERR_ANY`
    `static String` | `VERR_EMPTY`
    `static String` | `VERR_NON_MIXED`
    `static String` | `W_MIXED_ENCODINGS`
    `static String` | `WERR_ATTR_NO_ELEM`
    `static String` | `WERR_CDATA_CONTENT`
    `static String` | `WERR_COMMENT_CONTENT`
    `static String` | `WERR_DUP_XML_DECL`
    `static String` | `WERR_NAME_EMPTY`
    `static String` | `WERR_NAME_ILLEGAL_CHAR`
    `static String` | `WERR_NAME_ILLEGAL_FIRST_CHAR`
    `static String` | `WERR_NO_ESCAPING`
    `static String` | `WERR_NS_NO_ELEM`
    `static String` | `WERR_PI_CONTENT`
    `static String` | `WERR_PROLOG_CDATA`
    `static String` | `WERR_PROLOG_ENTITY`
    `static String` | `WERR_PROLOG_NO_ROOT`
    `static String` | `WERR_PROLOG_SECOND_ROOT`
    `static String` | `WERR_SPACE_CONTENT`
    `static String` | `WT_ATTR_DECL`
    `static String` | `WT_DT_DECL`
    `static String` | `WT_ELEM_DECL`
    `static String` | `WT_ENT_DECL`
    `static String` | `WT_NS_DECL`
    `static String` | `WT_VALIDATION` This is the generic type for warnings based on XMLValidationProblem objects.
    `static String` | `WT_XML_DECL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorConsts()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `throwInternalError()`
    `static void` | `throwInternalError(String type)`
    `static String` | `tokenTypeDesc(int type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ERR_INTERNAL

          public static String ERR_INTERNAL

    - #### ERR_NULL_ARG

          public static String ERR_NULL_ARG

    - #### VERR_EMPTY

          public static String VERR_EMPTY

    - #### VERR_NON_MIXED

          public static String VERR_NON_MIXED

    - #### VERR_ANY

          public static String VERR_ANY

    - #### ERR_STATE_NOT_STELEM

          public static String ERR_STATE_NOT_STELEM

    - #### ERR_STATE_NOT_ELEM

          public static String ERR_STATE_NOT_ELEM

    - #### ERR_STATE_NOT_PI

          public static String ERR_STATE_NOT_PI

    - #### ERR_STATE_NOT_STELEM_OR_TEXT

          public static String ERR_STATE_NOT_STELEM_OR_TEXT

    - #### SUFFIX_IN_PROLOG

          public static String SUFFIX_IN_PROLOG

    - #### SUFFIX_IN_EPILOG

          public static String SUFFIX_IN_EPILOG

    - #### SUFFIX_IN_TREE

          public static String SUFFIX_IN_TREE

    - #### ERR_WF_PI_XML_TARGET

          public static String ERR_WF_PI_XML_TARGET

    - #### ERR_WF_DUP_ATTRS

          public static String ERR_WF_DUP_ATTRS

    - #### ERR_NS_UNDECLARED

          public static String ERR_NS_UNDECLARED

    - #### ERR_NS_UNDECLARED_FOR_ATTR

          public static String ERR_NS_UNDECLARED_FOR_ATTR

    - #### ERR_NS_REDECL_XML

          public static String ERR_NS_REDECL_XML

    - #### ERR_NS_REDECL_XMLNS

          public static String ERR_NS_REDECL_XMLNS

    - #### ERR_NS_REDECL_XML_URI

          public static String ERR_NS_REDECL_XML_URI

    - #### ERR_NS_REDECL_XMLNS_URI

          public static String ERR_NS_REDECL_XMLNS_URI

    - #### ERR_NS_EMPTY

          public static String ERR_NS_EMPTY

    - #### WERR_PROLOG_CDATA

          public static String WERR_PROLOG_CDATA

    - #### WERR_PROLOG_ENTITY

          public static String WERR_PROLOG_ENTITY

    - #### WERR_PROLOG_SECOND_ROOT

          public static String WERR_PROLOG_SECOND_ROOT

    - #### WERR_PROLOG_NO_ROOT

          public static String WERR_PROLOG_NO_ROOT

    - #### WERR_DUP_XML_DECL

          public static String WERR_DUP_XML_DECL

    - #### WERR_CDATA_CONTENT

          public static String WERR_CDATA_CONTENT

    - #### WERR_COMMENT_CONTENT

          public static String WERR_COMMENT_CONTENT

    - #### WERR_PI_CONTENT

          public static String WERR_PI_CONTENT

    - #### WERR_NO_ESCAPING

          public static String WERR_NO_ESCAPING

    - #### WERR_SPACE_CONTENT

          public static String WERR_SPACE_CONTENT

    - #### WERR_ATTR_NO_ELEM

          public static String WERR_ATTR_NO_ELEM

    - #### WERR_NS_NO_ELEM

          public static String WERR_NS_NO_ELEM

    - #### WERR_NAME_EMPTY

          public static String WERR_NAME_EMPTY

    - #### WERR_NAME_ILLEGAL_FIRST_CHAR

          public static String WERR_NAME_ILLEGAL_FIRST_CHAR

    - #### WERR_NAME_ILLEGAL_CHAR

          public static String WERR_NAME_ILLEGAL_CHAR

    - #### WT_ENT_DECL

          public static String WT_ENT_DECL

    - #### WT_ELEM_DECL

          public static String WT_ELEM_DECL

    - #### WT_ATTR_DECL

          public static String WT_ATTR_DECL

    - #### WT_XML_DECL

          public static String WT_XML_DECL

    - #### WT_DT_DECL

          public static String WT_DT_DECL

    - #### WT_NS_DECL

          public static String WT_NS_DECL

    - #### WT_VALIDATION

          public static String WT_VALIDATION

      This is the generic type for warnings based on XMLValidationProblem objects.

    - #### W_MIXED_ENCODINGS

          public static String W_MIXED_ENCODINGS

  - ### Constructor Detail

    - #### ErrorConsts

          public ErrorConsts()

  - ### Method Detail

    - #### tokenTypeDesc

          public static String tokenTypeDesc(int type)

    - #### throwInternalError

          public static void throwInternalError()

    - #### throwInternalError

          public static void throwInternalError(String type)

Copyright © 2018 FasterXML. All rights reserved.